Qt 5.7 | Qt Data Visualization | C++ Classes | Q3DObject

Qt 5.7.1 Reference Documentation

# Q3DObject Class

Simple baseclass for all the objects in the 3D scene. More...

Header: | #include <Q3DObject>
Since: | QtDataVisualization 1.0
Inherited By: | Q3DCamera and Q3DLight

- List of all members, including inherited members

## Properties

- parentScene : Q3DScene * const
- position : QVector3D

## Public Functions

| Q3DObject(QObject *parent = Q_NULLPTR)
virtual | ~Q3DObject()
virtual void | copyValuesFrom(const Q3DObject &source)
Q3DScene * | parentScene()
QVector3D | position() const
void | setPosition(const QVector3D &position)

## Signals

void | positionChanged(const QVector3D &position)

## Protected Functions

bool | isDirty() const
void | setDirty(bool dirty)

## Detailed Description

Simple baseclass for all the objects in the 3D scene.

Q3DObject is a baseclass that contains only position information for an object in 3D scene. The object is considered to be a single point in the coordinate space without dimensions.

## Property Documentation

### parentScene : Q3DScene * const

This property contains the parent scene as read only value. If the object has no parent scene the value is 0.

Access functions:

Q3DScene * | parentScene()

### position : QVector3D

This property contains the 3D position of the object.

Note: Currently setting this property has no effect, as the positions of Q3DObjects in the scene are handled internally.

Access functions:

QVector3D | position() const
void | setPosition(const QVector3D &position)

Notifier signal:

void | positionChanged(const QVector3D &position)

## Member Function Documentation

### Q3DObject::Q3DObject(QObject *parent = Q_NULLPTR)

Constructs a new 3D object with position set to origin by default. An optional parent parameter can be given and is then passed to QObject constructor.

### `[virtual]` Q3DObject::~Q3DObject()

Destroys the 3D object.

### `[virtual]` void Q3DObject::copyValuesFrom(const Q3DObject &source)

Copies the 3D object position from the given source 3D object to this 3D object instance.

### `[protected]` bool Q3DObject::isDirty() const

Returns flag that indicates if the 3D object has changed.

### `[protected]` void Q3DObject::setDirty(bool dirty)

Sets and clears the dirty flag that is used to track when the 3D object has changed since last update.

See also isDirty().